Skip to main content
POST
/
reconciliation_matches
Create a reconciliation match
curl --request POST \
  --url https://api.endclose.com/v1/reconciliation_matches \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "reconciliation_id": "<string>",
  "record_ids": [
    "<string>"
  ],
  "create_adjustment": true,
  "adjustment_reason": "<string>"
}
'
{
  "id": 123,
  "status": "<string>",
  "group_key": "<string>",
  "reconciliation_id": 123,
  "reconciliation_rule_id": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "record_count": 123
}

Authorizations

X-API-KEY
string
header
required

Body

application/json
reconciliation_id
string
required
record_ids
string[]
required

IDs of records to match together

create_adjustment
boolean

If true, creates an adjustment record to balance the match

adjustment_reason
string

Description for the adjustment record

Response

Match created

A reconciliation match represents a group of records that have been matched together. Endclose supports many-to-one matching, so a single match can contain a large number of records — to retrieve them, use GET /v1/records?reconciliation_match_id={id}.

id
integer
status
string
group_key
string
reconciliation_id
integer
reconciliation_rule_id
integer
created_at
string<date-time>
record_count
integer

Total number of records in this match